<?php
/* TRX Updater support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('wealthco_trx_updater_theme_setup9')) {
	add_action( 'after_setup_theme', 'wealthco_trx_updater_theme_setup9', 9 );
	function wealthco_trx_updater_theme_setup9() {
		if (is_admin()) {
			add_filter( 'wealthco_filter_tgmpa_required_plugins',			'wealthco_trx_updater_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'wealthco_trx_updater_tgmpa_required_plugins' ) ) {
	function wealthco_trx_updater_tgmpa_required_plugins($list=array()) {
		if (wealthco_storage_isset ('required_plugins', 'trx_updater')) {
		$path = wealthco_get_file_dir('plugins/trx_updater/trx_updater.zip');
		if ( ! empty( $path ) || wealthco_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name' 		=> wealthco_storage_get_array('required_plugins', 'trx_updater'),
					'slug' 		=> 'trx_updater',
					'version'	=> '1.4.1',
					'source'	=> !empty($path) ? $path : 'upload://trx_updater.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( !function_exists( 'wealthco_exists_trx_updater' ) ) {
	function wealthco_exists_trx_updater() {
		return function_exists( 'trx_updater_load_plugin_textdomain' );
	}
}

?>