<?php
/* WP GDPR Compliance support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('wealthco_wp_gdpr_compliance_theme_setup9')) {
	add_action( 'after_setup_theme', 'wealthco_wp_gdpr_compliance_theme_setup9', 9 );
	function wealthco_wp_gdpr_compliance_theme_setup9() {
		if (is_admin()) {
			add_filter( 'wealthco_filter_tgmpa_required_plugins',		'wealthco_wp_gdpr_compliance_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'wealthco_wp_gdpr_compliance_tgmpa_required_plugins' ) ) {
	function wealthco_wp_gdpr_compliance_tgmpa_required_plugins($list=array()) {
		if (wealthco_storage_isset('required_plugins', 'wp-gdpr-compliance')) {
			$list[] = array(
				'name' 		=> wealthco_storage_get_array('required_plugins', 'wp-gdpr-compliance'),
				'slug' 		=> 'wp-gdpr-compliance',
				'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'wealthco_exists_wp_gdpr_compliance' ) ) {
	function wealthco_exists_wp_gdpr_compliance() {
		return class_exists( 'WPGDPRC\WPGDPRC' );
	}
}